global:
  scrape_interval: 15s
  evaluation_interval: 15s

scrape_configs:
  - job_name: "prometheus"
    static_configs:
      - targets: ["localhost:9090"]

  - job_name: "traefik"
    static_configs:
      - targets: ["apa-traefik:8080"]

  - job_name: "services"
    static_configs:
      - targets:
          - "apa-svc-ingestion:8000"
          - "apa-svc-extract:8000"
          - "apa-svc-kg:8000"
          - "apa-svc-rag-retriever:8000"
          - "apa-svc-rag-indexer:8000"
